READALL(1)

NAME
readall - read a device quickly to check for bad blocks

SYNOPSIS
readall [-bt] file

OPTIONS

EXAMPLES

DESCRIPTION

Readall reads all of the named device in large chunks. It reports about blocks that it cannot read. Unlike diskcheck, it does not attempt to write on the disk, making it safer to use when one is worried about a sick system. When the -b flag is given, the output is a shell script that calls the badblocks program to marked all the bad blocks. Whenever installing MINIX 3, it is wise to run readall with the -b flag first on all the hard disks.

SEE ALSO
badblocks(8).